Get paginated list of unified opportunities
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
page?number
Default
1limit?number
Default
10Range
1 <= value <= 100Response Body
application/json
curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/opportunities"{
"data": [
{
"id": "opp_12345",
"source_system": "salesforce",
"source_system_img_url": "https://cdn.example.com/salesforce.png",
"source_id": "sf_98765",
"external_system_provider_id": "provider_001",
"external_system_config_id": "config_abc",
"external_system_data": {
"custom_field": "value"
},
"supporting_data_definition_id": "support_001",
"deal_name": "Big Rice Deal",
"amount": "50000.00",
"deal_stage": "Negotiation",
"close_date": "2024-06-30",
"is_primary": true,
"unified_customer_id": "cust_12345",
"source_system_customer_id": "ext_cust_67890",
"local_was_deleted": false,
"local_was_updated": true,
"source_data_created_at": "2024-01-01T12:00:00Z",
"is_active": true
}
],
"page": 1,
"limit": 10,
"totalPages": 5,
"totalResults": 50
}